Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET outbounds_by_phone_number/:phone_number

Ostatnia modyfikacja 2026-05-18 13:56:05

Zwraca listę kampanii, w których jest podany numer telefonu.

Brany pod uwagę jest tylko główny numer telefon.

URL

https://your-system-name.thulium.com/api/outbounds_by_phone_number/:phone_number

Przykładowy request

GET https://your-system-name.thulium.com/api/outbounds_by_phone_number/111222333

Przykładowy response

[
    {
        "id": "00002",
        "name": "API test",
        "status_id": 1,
        "system_status": "CALL"
    }
]

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/outbounds_by_phone_number/111222333');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/outbounds_by_phone_number/111222333");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/outbounds_by_phone_number/111222333"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/outbounds_by_phone_number/111222333 Accept:application/json